リッチテキストエディタ(GcRichTextEditor)コントロールは、テンプレート機能を提供します。
プラグインと設定方法
テンプレート機能を有効にするには、plugins プロパティに GcRichTextEditorPluginItem.Template の値を設定してください。
また、ツールバーに追加したい場合は GcRichTextEditorToolbarItem.Template を、コンテキストメニューに追加したい場合は GcRichTextEditorMenuItem.Template を設定します。
テンプレート内容の設定
templates プロパティを利用することで、編集エリアに挿入するテンプレートを定義することができます。
また、テンプレートを定義するには、以下の内容を設定することができます。
プロパティ
説明
title
テンプレートのタイトルを設定する
description
テンプレートの説明文を設定する
content
テンプレートの内容を設定する
テンプレートの挿入
ツールバーのテンプレートボタンからテンプレートを挿入するほか、以下の方法でソースコードからテンプレートを設定することもできます。
初期化時に指定のテンプレートを挿入する
コマンド実行で指定のテンプレートを挿入する
import "@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css";
import "@mescius/inputman/CSS/gc.inputman-js.css";
import { InputMan } from "@mescius/inputman.richtexteditor";
import * as GcCommon from "@mescius/inputman";
import "@mescius/inputman.richtexteditor/JS/plugins/template";
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
const gcRichTextEditor = new InputMan.GcRichTextEditor(
document.getElementById("gcRichTextEditor"),
{
plugins: [InputMan.GcRichTextEditorPluginItem.Template],
toolbar: [InputMan.GcRichTextEditorToolbarItem.Template],
contextmenu: [InputMan.GcRichTextEditorMenuItem.Template],
templates: [
{
title: "テンプレートデモ1",
description: "InputManJS製品ヘルプ",
content:
"<p>InputManJSデモサイト</p><p><a href='https://demo.mescius.jp/inputmanjs/docs/how_to'>InputManJS製品ヘルプ</a></p>",
},
{
title: "テンプレートデモ2",
description: "APIリファレンス",
content:
"<p>InputManJS APIリファレンスサイト</p><p><a href='https://demo.mescius.jp/inputmanjs/api/'>InputManJS APIリファレンス</a></p>",
},
],
templateIndex: 0,
}
);
const templateCmd = new GcCommon.InputMan.GcComboBox(
document.getElementById("setTemplate"),
{
items: ["テンプレートデモ1", "テンプレートデモ2"],
}
);
templateCmd.setSelectedIndex(0);
templateCmd.addEventListener(
GcCommon.InputMan.GcComboBoxEvent.SelectedChanged,
(e) => {
gcRichTextEditor.execCommand(
InputMan.GcRichTextEditorCommand.Template,
e.selectedIndex
);
}
);
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>リッチテキストエディタコントロール - テンプレート</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<textarea id="gcRichTextEditor"></textarea>
<table class="sample">
<tbody>
<tr>
<th>テンプレート挿入</th>
<td>
<select id="setTemplate"></select>
</td>
</tr>
</tbody>
</table>
</body>
</html>
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});

リッチテキストエディタ(GcRichTextEditor)コントロールは、テンプレート機能を提供します。
プラグインと設定方法
テンプレート機能を有効にするには、plugins プロパティに GcRichTextEditorPluginItem.Template の値を設定してください。
また、ツールバーに追加したい場合は GcRichTextEditorToolbarItem.Template を、コンテキストメニューに追加したい場合は GcRichTextEditorMenuItem.Template を設定します。
テンプレート内容の設定
templates プロパティを利用することで、編集エリアに挿入するテンプレートを定義することができます。
また、テンプレートを定義するには、以下の内容を設定することができます。
プロパティ
説明
title
テンプレートのタイトルを設定する
description
テンプレートの説明文を設定する
content
テンプレートの内容を設定する
テンプレートの挿入
ツールバーのテンプレートボタンからテンプレートを挿入するほか、以下の方法でソースコードからテンプレートを設定することもできます。
初期化時に指定のテンプレートを挿入する
コマンド実行で指定のテンプレートを挿入する
import * as React from "react";
import * as ReactDom from "react-dom";
import { GcRichTextEditor } from "@mescius/inputman.richtexteditor.react";
import { GcComboBox } from "@mescius/inputman.react";
import "@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css";
import "./styles.css";
import * as GC from "@mescius/inputman.richtexteditor";
import "@mescius/inputman/CSS/gc.inputman-js.css";
GC.InputMan.appearanceStyle = GC.InputMan.AppearanceStyle.Modern;
const App = () => {
var baseUrl =
'$IMDEMOROOT$/lib/purejs/node_modules/@mescius/inputman.richtexteditor/JS';
var plugins = [GC.InputMan.GcRichTextEditorPluginItem.Template];
var toolbar = [GC.InputMan.GcRichTextEditorToolbarItem.Template];
var contextmenu = [GC.InputMan.GcRichTextEditorMenuItem.Template];
var templates = [
{
title: 'テンプレートデモ1',
description: 'InputManJS製品ヘルプ',
content:
"<p>InputManJSデモサイト</p><p><a href='https://demo.mescius.jp/inputmanjs/docs/how_to'>InputManJS製品ヘルプ</a></p>",
},
{
title: 'テンプレートデモ2',
description: 'APIリファレンス',
content:
"<p>InputManJS APIリファレンスサイト</p><p><a href='https://demo.mescius.jp/inputmanjs/api/'>InputManJS APIリファレンス</a></p>",
},
];
let gcRichTextEditor = null;
const selectedChanged = (sender) => {
gcRichTextEditor.execCommand(
GC.InputMan.GcRichTextEditorCommand.Template,
sender.selectedIndex
);
};
return (
<div>
<GcRichTextEditor
baseUrl={baseUrl}
plugins={plugins}
toolbar={toolbar}
contextmenu={contextmenu}
templates={templates}
templateIndex={0}
onInitialized={imCtrl => gcRichTextEditor = imCtrl}
/>
<table class="sample">
<tr>
<th>テンプレート挿入</th>
<td>
<GcComboBox items={['テンプレートデモ1', 'テンプレートデモ2']} selectedChanged={(sender) => selectedChanged(sender)}></GcComboBox>
</td>
</tr>
</table>
</div>
);
};
ReactDom.render(<App />, document.getElementById("app"));
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>リッチテキストエディタコントロール - テンプレート</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
"@mescius/inputman.react": "npm:@mescius/inputman.react/GcInputMan.component.js",
"@mescius/inputman.richtexteditor": "npm:@mescius/inputman.richtexteditor/index.js",
"@mescius/inputman.richtexteditor.react": "npm:@mescius/inputman.richtexteditor.react/GcInputMan.component.js",
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);